Ignore:
Timestamp:
Aug 27, 2009, 11:21:37 AM (10 years ago)
Author:
ryandesign@…
Message:

Remove mysql3 variants because mysql3 port will be removed; see #20700

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/python/py26-mysql/Portfile

    r47376 r56428  
    2020depends_lib-append      port:py26-setuptools
    2121
    22 variant mysql3 conflicts mysql4 mysql5 description {Build with MySQL 3} {
    23         depends_lib-append      port:mysql3
    24 }
    25 
    26 variant mysql4 conflicts mysql3 mysql5 description {Build with MySQL 4} {
     22variant mysql4 conflicts mysql5 description {Build with MySQL 4} {
    2723        depends_lib-append      port:mysql4
    2824}
    2925
    30 variant mysql5 conflicts mysql3 mysql4 description {Build with MySQL 5 (default)} {
     26variant mysql5 conflicts mysql4 description {Build with MySQL 5 (default)} {
    3127        patchfiles-append       patch-setup_posix.py.diff
    3228        depends_lib-append      path:bin/mysql_config5:mysql5
    3329}
    3430
    35 if {![variant_isset mysql3] && ![variant_isset mysql4]} {
     31if {![variant_isset mysql4]} {
    3632        default_variants +mysql5
    3733}
    3834
    3935pre-fetch {
    40         if {![variant_isset mysql3] && ![variant_isset mysql4] && ![variant_isset mysql5]} {
    41                 return -code error "you must select either mysql3, mysql4 or mysql5"
     36        if {![variant_isset mysql4] && ![variant_isset mysql5]} {
     37                return -code error "you must select either mysql4 or mysql5"
    4238        }
    4339}
Note: See TracChangeset for help on using the changeset viewer.